package com.example.smart119.interfaces

import com.google.gson.JsonObject
import retrofit2.Call
import retrofit2.http.Body
import retrofit2.http.GET
import retrofit2.http.POST

interface apiTransfer {
    @POST("startEmergency.do")
    fun startEMG(
        @Body requestBody: JsonObject
    ) : Call<JsonObject>

    @POST("updateETDHospId.do")
    fun changeHospital(
        @Body requestBody: JsonObject
    ) : Call<JsonObject>

    @POST("updateETDDuration.do")
    fun updateHospETA(
        @Body requestBody: JsonObject
    ) : Call<JsonObject>

    @GET("endEmergency.do")
    fun endEMG() : Call<JsonObject>

    @POST("cookie")
    fun cookieSend() : Call<JsonObject>

    @GET("currentInAction.do")
    fun currentAction() : Call<JsonObject>
}